clc;
mode(-1)
funcprot(0);

getd('..\macros');

// Algorithms
printf('Reading testing data...\n')
printf('-----------------\n');
data = read('../demos/dryer.dat',-1,2); //data = [u y]
printf('Testing data loaded...\n')
printf('-----------------\n');
y = data(1:400,2); u = data(1:400,1); //identification data
yv = data(401:$,2); uv = data(401:$,1); //validation data
printf('Function calls...\n')
printf('-----------------\n');
[a b c vare P] = armax(y,u,3,3,2,2);
printf('Function calls...\n')
printf('-----------------\n');
[fit, yp] = valPred(a, b, c, yv, uv);

// Plots
printf('Plotting graphs...\n')
printf('-----------------\n');
plot(yv);
plot(yp,'-r');
legend('Validation','Prediction');

// TEST Results
disp('--------------------TEST Result--------------------')
printf('Testing valPred.sci...\n')
printf('-----------------\n');
// TODO... (tested in ARX, ARMAX, etc.)
disp('...tested in test_arx, test_armax, etc.')

