function [A] = multhouseholder(A,v)

// input:   A - matrix
//          v - Householder vector 
// output:  A - transformed matrix 

poma = -2/(v'*v);
w = v'*A;          // w is a line vector
A = A + poma*v*w;

endfunction