clc;
mode(-1)
funcprot(0);

getd('..\macros');

// Algorithms
printf('Creating testing data...\n')
printf('-----------------\n');
t = linspace(0,50,1000)';
fik1 = 8;fik2 = 3;fik3 = 1;fik4 = 5;
s1 = [10*sin(2*%pi*fik1*t) + sin(2*%pi*fik2*t) + 3*sin(2*%pi*fik3*t)+ 2*sin(2*%pi*fik4*t)]';
f_vz = 20; f_new = 15;
printf('Function calls...\n')
printf('-----------------\n');
[t,s_old,s_new, f,freq_old,freq_new] = alias_k(s1,f_vz,f_new);

// Plots
printf('Plotting graphs...\n')
printf('-----------------\n');
figure(1);plot(t,s_old,'g');plot(t,s_new,'k');
figure(2);plot(f,freq_old);plot(f,freq_new,'m');

// Test results
disp('--------------------TEST Result--------------------')
printf('Testing alias_k.sci...\n')
printf('-----------------\n');
disp('TODO...')
// TODO