clc;
mode(-1)

getd('..\macros');

// Algorithms
printf('Creating testing data...\n')
printf('-----------------\n');
A = [0.8 1;0 0.6]; B = [0;1]; C = [1 0]; D = 0; x0 = [0;0];
sys = syslin('d',A,B,C,D,x0); // discrete-time LTI
u = ones(1,40);
printf('Function calls...\n')
printf('-----------------\n');
y = lsim(sys,u); //step response

// Plots
printf('Plotting graphs...\n')
printf('-----------------\n');
plot(y);
g = gcf();
g.children.children.children.polyline_style = 2; //2=stairs-like plot

// Test Results
disp('--------------------TEST Result--------------------')
printf('Testing lsim.sci...\n')
printf('-----------------\n');
// TODO
disp('TODO...')
